library("qgraph")
library("bootnet")
load("data.Rda")
network1 <- estimateNetwork(data, default="EBICglasso", corMethod="cor")
graph1 <- plot(network1, layout="spring", cut=0)
sum(abs(network1$graph))/2 # 8.62

library("dplyr")
data1 <- slice(data, c(1:110))    
data2 <- slice(data, c(111:221))  

network2 <- estimateNetwork(data1, default="EBICglasso", corMethod="cor")
network3 <- estimateNetwork(data2, default="EBICglasso", corMethod="cor")
graph2 <- plot(network2, layout="spring", cut=0, details=T)
graph3 <- plot(network3, layout="spring", cut=0, details=T)

L <- averageLayout(graph2,graph3)

layout(t(1:2))
graph2 <- plot(network2, layout=L, cut=0, maximum=0.29)
graph3 <- plot(network3, layout=L, cut=0, maximum=0.29)

sum(abs(network2$graph))/2
abs(sum(network3$graph))/2

nct_results <- NCT(data1, data2, it=1000, binary.data=FALSE)
nct_results$glstrinv.sep  # connectivity values for both networks: 0.54 vs 5.79
nct_results$glstrinv.real # difference in connectivity between the 2 observed networks: 5.25
nct_results$glstrinv.pval # global strength invariance: 0.71
